# Host Settings
# =============
ACCEPT_KEYWORDS="amd64"
CHOST="x86_64-pc-linux-gnu"

# Compiler Settings
# =================
#CFLAGS="-march=native -O2 -pipe -Wall"
#CXXFLAGS="${CFLAGS}"
MAKEOPTS="-j8"
#MAKEOPTS="-j10" # distcc
#FEATURES="$FEATURES ccache"
CCACHE_DIR="/var/tmp/ccache/gcc"
CCACHE_SIZE="4G"

# distcc
CFLAGS="-march=core-avx2 -O2 -pipe -Wall"
CXXFLAGS="${CFLAGS}"
HCFLAGS="-O3"
#FEATURES="$FEATURES distcc"
DISTCC_VERBOSE="1"

# Emerge Settings
# ===============
VIDEO_CARDS="nvidia"
# ALSA_CARDS="usb-audio"
INPUT_DEVICES="evdev keyboard mouse joystick"
LINGUAS="en de"
QEMU_SOFTMMU_TARGETS="arm i386 ppc ppc64 x86_64"
QEMU_USER_TARGETS="arm i386 ppc ppc64 x86_64"
# USE-EX="fbcondecor"
USE="-cups qt3support -qt4 a52 aac acpi alsa apng bash-completion cairo cdr consolekit cscope css dbus dri dv dvd dvdr exif fat ffmpeg flac fontconfig gif gpm gstreamer hddtemp icq icu ipv6 jabber jpeg jpeg2k lame libnotify lm_sensors matroska mmx mp3 mp4 mpeg musepack nsplugin ntfs ogg opengl oscar pdf png policykit python raw sound sdl sse sse2 ssse3 svg tcpd tiff timidity truetype threads udev unicode usb v4l vcd vdpau vim-syntax vnc vorbis wavpack win32codecs wmf x264 xv xvmc xvid X"
ABI_X86="64 32"
EMERGE_DEFAULT_OPTS="--ignore-built-slot-operator-deps=y"
#FEATURES="$FEATURES buildpkg"
PORTAGE_NICENESS=19
AUTOCLEAN="yes"
FEATURES="$FEATURES parallel-fetch -preserve-libs webrsync-gpg"
QUICKPKG_DEFAULT_OPTS="--include-config=y --umask=022"
CONFIG_PROTECT="/usr/share/applications /etc/cron.hourly"

INSTALL_MASK="/usr/lib/systemd/*"

GAMES_SHOW_WARNING=0

# Mirror Settings
#================
#FETCHCOMMAND="/usr/bin/curl -Y 200000 --connect-timeout 30 -f -L --output \${DISTDIR}/\${FILE} \${URI}"
#RESUMECOMMAND="/usr/bin/curl -Y 200000 -C - --connect-timeout 30 -f -L --output \${DISTDIR}/\${FILE} \${URI}"
GENTOO_MIRRORS="ftp://mirror.netcologne.de/gentoo/ ftp://gentoo.imj.fr/pub/gentoo/ ftp://de-mirror.org/gentoo/"
#SYNC="rsync://rsync2.de.gentoo.org/gentoo-portage"
#SYNC=""
#SYNC="cvs://hasufell@cvs.gentoo.org:/var/cvsroot"
#CVSROOT=":ext:hasufell@cvs.gentoo.org:/var/cvsroot"

DISTDIR="/home/distfiles"
PKGDIR="/home/packages"

# compression
#============
PORTAGE_COMPRESS="xz"
PORTAGE_COMPRESS_FLAGS="-z -9"

# Portdirs, Overlay Settings
# ==========================
PORTDIR="/usr/portage"
source "/var/lib/layman/make.conf"
LOCAL_OVERLAY="/usr/local/crossdev /usr/local/portage /usr/local/portage-science"
PORTDIR_OVERLAY="$PORTDIR_OVERLAY $LOCAL_OVERLAY"


# Log Settings
# =============
#PORTAGE_ELOG_CLASSES="log warn error info"
PORTAGE_ELOG_SYSTEM="save echo"
#PORTAGE_ELOG_MAILURI=""
FEATURES="$FEATURES split-log"
PORT_LOGDIR="/home/portage-log"

# Python
USE_PYTHON="2.6 2.7 3.2 3.3"
PYTHON_TARGETS="pypy2_0 python2_6 python2_7 python3_2 python3_3"
#PYTHON_SINGLE_TARGET=""

# netbeans
NETBEANS_MODULES="*"

# ruby
RUBY_TARGETS="ruby18 ruby19 ruby20"

# libreoffice
LIBREOFFICE_EXTENSIONS="pdfimport presenter-console presenter-minimizer"

# gpg
PORTAGE_GPG_DIR="/home/jule/.gnupg"
PORTAGE_GPG_KEY="E73C35B3"

# dev settings
FEATURES="$FEATURES collision-protect multilib-strict sign splitdebug -test test-fail-continue"
I_KNOW_WHAT_I_AM_DOING="yes"
PORTAGE_ELOG_CLASSES="${PORTAGE_ELOG_CLASSES} qa"
CFLAGS="${CFLAGS} -g"
CXXFLAGS="${CXXFLAGS} -g"
LDFLAGS="${LDFLAGS} -Wl,--hash-style=gnu"
#EXTRA_ECONF="--disable-silent-rules"


# not compatible with pypy
# https://bugs.pypy.org/issue833
FEATURES="$FEATURES -userfetch"

